@import url("https://fonts.googleapis.com/css2?family=Manrope:wght@200;300;400;500;600;700;800&family=Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
  --void-dark: #000;
  --void-light: #eee;
  --offwhite: #bbb;
  --mode-swap-ease: cubic-bezier(0.79, 0.14, 0.15, 0.86);
}

* {
  box-sizing: border-box;
  backface-visibility: hidden;
}

body { font: 900 120px/1 'Source Sans Pro', Arial, sans-serif; background: #becccc; text-transform: uppercase; color: #fff; text-align: center; letter-spacing: -3px; padding-top: 10%; }
html {
  image-rendering: pixelated;
}

html,
body {
  height: 100%;
}

body {
  margin: 0;
  background-color: var(--void-dark);
  font-family: "Manrope";
  overscroll-behavior: none;
  overflow: hidden;
  user-select: none;
  cursor: none;
  transition: background-color 1s var(--mode-swap-ease);
}

body.light-mode {
  background-color: var(--void-light);
}

/* 3D SCENE */

#wrapper {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  display: flex;
  perspective-origin: center center;
  justify-content: center;
  align-items: center;
  perspective: 1024px;
  pointer-events: none;
}

#scene {
  width: 576px;
  height: 676px;
  transform-style: preserve-3d;
  perspective-origin: center center;
  display: flex;
  justify-content: center;
  align-items: center;
}

#room {
  position: relative;
  width: 1024px;
  height: 576px;
  position: relative;
  transform-style: preserve-3d;
  transform-origin: center center;
  transform: translateZ(512px) rotateX(0deg) rotateY(0deg);
  flex-shrink: 0;
}

.side {
  width: 1024px;
  height: 576px;
  position: absolute;
  inset: 0;
  transform-style: flat;
}

.side.back {
  height: 576px;
  transform: translateZ(-511px);
}

.side.top {
  height: 1024px;
  transform: rotateX(-90deg) translate3d(0, 0, -511px);
}

.side.bottom {
  height: 1024px;
  transform: rotateX(90deg) translate3d(0, 0, -63px);
}

.side.left {
  transform: rotateY(90deg) translate3d(0, 0, -511px);
}

.side.right {
  transform: rotateY(-90deg) translate3d(0, 0, -511px);
}

.side::after {
  content: "";
  position: absolute;
  inset: 0;
  width: inherit;
  height: inherit;
  background-size: cover;
  z-index: -1;
  transition: opacity 1s var(--mode-swap-ease);
}

.light-mode .side::after,
.light-mode .side.bottom::after {
  opacity: 0;
}

.side.back::after {
  background-image: url("https://storage.googleapis.com/pai-images/2eca6235b5824ecbaa86e062086a6f03.jpeg");
}

.side.top::after {
  background-image: url("https://storage.googleapis.com/pai-images/2eca6235b5824ecbaa86e062086a6f03.jpeg");
}

.side.bottom::after {
  background-image: url("https://storage.googleapis.com/pai-images/bada33c8f0924770826ef608005e537d.jpeg");
  opacity: 0.5;
}

.side.left::after {
  background-image: url("https://storage.googleapis.com/pai-images/bc00e7ee5b324db09451667b097bad9b.jpeg");
}

.side.right::after {
  background-image: url("https://storage.googleapis.com/pai-images/74b75d76256b424fbce81f7486b9fbb3.jpeg");
}

.side.right .content {
  position: absolute;
  inset: 0;
  width: inherit;
  height: inherit;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 64px;
  color: var(--offwhite);
  transition: color 1s var(--mode-swap-ease);
}

.light-mode .side.right .content {
  color: rgba(20, 20, 20, 1);
}

.side.right .content h1 {
  font-weight: 700;
  font-size: 64px;
  margin: 0;
  top: 35%;
  width: 100%;
color:white;
  text-shadow:     0 1px 0 hsl(174,5%,80%),
	                 0 2px 0 hsl(174,5%,75%),
	                 0 3px 0 hsl(174,5%,70%),
	                 0 4px 0 hsl(174,5%,66%),
	                 0 5px 0 hsl(174,5%,64%),
	                 0 6px 0 hsl(174,5%,62%),
	                 0 7px 0 hsl(174,5%,61%),
	                 0 8px 0 hsl(174,5%,60%),
	
	                 0 0 5px rgba(0,0,0,.05),
	                0 1px 3px rgba(0,0,0,.2),
	                0 3px 5px rgba(0,0,0,.2),
	               0 5px 10px rgba(0,0,0,.2),
	              0 10px 10px rgba(0,0,0,.2),
	              0 20px 20px rgba(0,0,0,.3);

}

.side.right .content h2 {
  font-weight: 700;
  font-size: 44px;}
  h2 {
  
  font-size: 24px;
  margin: 0;
  top: 45%;
  width: 100%;
color:#3366ff;
  text-shadow:     0 1px 0 hsl(174,5%,80%),
	                 0 2px 0 hsl(174,5%,75%),
	                 0 3px 0 hsl(174,5%,70%),
	                 0 4px 0 hsl(174,5%,66%),
	                 0 5px 0 hsl(174,5%,64%),
	                 0 6px 0 hsl(174,5%,62%),
	                 0 7px 0 hsl(174,5%,61%),
	                 0 8px 0 hsl(174,5%,60%),
	
	                 0 0 5px rgba(0,0,0,.05),
	                0 1px 3px rgba(0,0,0,.2),
	                0 3px 5px rgba(0,0,0,.2),
	               0 5px 10px rgba(0,0,0,.2),
	              0 10px 10px rgba(0,0,0,.2),
	              0 20px 20px rgba(0,0,0,.3);


  margin: 0;
}

.screen {
  position: absolute;
  inset: 32px;
  width: 960px;
  height: 512px;
  background-color: var(--offwhite);
  background-image: url("https://storage.googleapis.com/pai-images/59e0d4a7fe014ebfbaab6e3022d92425.jpeg");
  overflow: hidden;
  display: flex;
  flex-direction: column;
  pointer-events: auto;
}

#reflection-wrapper {
  filter: blur(8px);
  position: absolute;
  top: 608px;
  left: 32px;
  width: 960px;
  height: 512px;
  opacity: 0.35;
}

.reflection {
  pointer-events: none;
  position: absolute;
  inset: 0;
  width: 960px;
  height: 512px;
  transform: scaleY(-1);
  mask-image: linear-gradient(to top, black, transparent, transparent);
  -webkit-mask-image: linear-gradient(to top, black, transparent, transparent);
}

#cursor {
  position: absolute;
  inset: 0;
  width: 8px;
  height: 8px;
  border-radius: 50%;
  box-shadow: 0 0 0 0 var(--offwhite), inset 0 0 0 4px var(--offwhite);
  mix-blend-mode: exclusion;
  z-index: 1000;
  pointer-events: none;
  visibility: hidden;
}

/* INSIDE SCREEN */